summaryrefslogtreecommitdiff
path: root/tests/test-dfa-match.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2020-07-03 18:49:18 +0200
committerBruno Haible <bruno@clisp.org>2020-07-03 18:49:46 +0200
commit4577ee9c6bc628eb25f4d9044d343530b43d1841 (patch)
treeb533fed4198a3a67288851640e8bf68e83a72390 /tests/test-dfa-match.sh
parentcb38aa3df6a57b1206b33736939e9f9cfff297ad (diff)
downloadgnulib-4577ee9c6bc628eb25f4d9044d343530b43d1841.tar.gz
dfa tests: Follow common file naming conventions.
* tests/test-dfa-match-aux.c: Renamed from tests/dfa-match-aux.c. * tests/test-dfa-match.sh: Renamed from tests/dfa-match.sh. Update. * tests/test-dfa-invalid-char-class.sh: Renamed from tests/dfa-invalid-char-class.sh. Update. * modules/dfa-tests (Files, Makefile.am): Update.
Diffstat (limited to 'tests/test-dfa-match.sh')
-rwxr-xr-xtests/test-dfa-match.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/test-dfa-match.sh b/tests/test-dfa-match.sh
new file mode 100755
index 0000000000..a7285ec0b2
--- /dev/null
+++ b/tests/test-dfa-match.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+# This would fail with grep-2.21's dfa.c.
+
+# Copyright 2014-2020 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Add "." to PATH for the use of test-dfa-match-aux.
+path_prepend_ .
+
+if (type timeout) >/dev/null 2>&1; then
+ if timeout --help 2>&1 | grep BusyBox; then
+ timeout_10='timeout -t 10'
+ else
+ timeout_10='timeout 10'
+ fi
+else
+ timeout_10=
+fi
+
+fail=0
+
+${CHECKER} test-dfa-match-aux a ba 0 > out || fail=1
+compare /dev/null out || fail=1
+
+in=$(printf "bb\nbb")
+$timeout_10 ${CHECKER} test-dfa-match-aux a "$in" 1 > out || fail=1
+compare /dev/null out || fail=1
+
+Exit $fail